# CurveUsdGetDebt

### Description

Action that returns users crvusd debt on a given market

### Action ID

`0xc914b767`

### SDK Action

```ts
const curveUsdGetDebtAction = new dfs.actions.curveusd.CurveUsdGetDebtAction(
    controllerAddr,
    debtor
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the curveusd market controller
    /// @param debtor Address which owns the curveusd position
    struct Params {
        address controllerAddress;
        address debtor;
    }
```

### Return Value

```solidity
return bytes32(debt);
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/curveusd/curveusdgetdebt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
